#
# spec file for package mpqc (Version 1.2.5)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  autoconf automake g77 gpp libgpp
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex g77 gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gpp gppshare grep groff gzip kbd less libgpp libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim

Name:         mpqc
Copyright:    GPL
Group:        Development/Libraries/Parallel
Summary:      Massively Parallel Quantum Chemistry Program
Version:      1.2.5
Release:      82
Source0:      mpqc-%{version}.tar.bz2
Patch0:       mpqc-%{version}.dif
Source1:      mpqc-1.2.4-html.tar.bz2
Source2:      mpqc.conf

%description
MPQC is the Massively Parallel Quantum Chemistry Program. It computes
properties of atoms and molecules from first principles using the time
independent Schrdinger equation. It runs on a wide range of architectures
ranging from individual workstations to symmetric multiprocessors to
massively parallel computers.

Authors:
--------
    Limit Point Systems <cljanss@ca.sandia.gov>

SuSE series: d

%prep
%setup -b 1
%patch

%build
%{?suse_update_config:%{suse_update_config -l -f . }}
CXXFLAGS="$CXXFLAGS $RPM_OPT_FLAGS -DNDEBUG " ./configure \
  --prefix=/usr/lib/mpqc/ \
  --with-include=-fpermissive  \
  --enable-stl            \
  --enable-parallel       \
  --enable-threads        \
#  --enable-shared-libs
make

%install
rm -rf /usr/lib/mpqc
make install
make install_inc
make install_target
make install_devel
mkdir -p /etc/susehelp.d/
install -m 0644 $RPM_SOURCE_DIR/mpqc.conf /etc/susehelp.d/

%files
%doc LICENSE COPYING.LIB README COPYING ../html
%config(noreplace) /etc/susehelp.d/mpqc.conf
/usr/lib/mpqc

%changelog -n mpqc
* Mon Mar 19 2001 - adrian@suse.de
- update to 1.2.5 (documentation still 1.2.4)
* Mon Mar 19 2001 - @suse.de
- Spec file created from mpqc-1.2.3.tar.bz2 by autospec
